- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# StampConfiguration Struct Reference

Search for all occurrences

## Detailed Description

Container class for stamp related properties and functions.

Definition at line 179 of file brush.h.

`#include <brush.h>`

List of all members.

## Public Member Functions
| StampConfiguration (void)
void | Serialize (Stream &s)
bool | operator== (const StampConfiguration &) const throw ()
bool | operator!= (const StampConfiguration &v) const throw ()
## Public Attributes
QString | m_sFileName
bool | m_bActive
bool | m_bOrientToStroke
bool | m_bStretch
bool | m_bFlipX
bool | m_bFlipY
float | m_fRotation
bool | m_bRandomize
bool | m_bRandomizeFlipX
bool | m_bRandomizeFlipY
float | m_fRandomizeScale
float | m_fRandomizeRotation
float | m_fRandomizePositionX
float | m_fRandomizePositionY
float | m_fRandomizeStrength

## Constructor & Destructor Documentation

StampConfiguration | ( | void |  | ) | `[inline]`

Definition at line 181 of file brush.h.

        {
            m_bActive = false;
            m_bOrientToStroke = true;
            m_bStretch = false;
            m_bFlipX = m_bFlipY = m_bRandomize = m_bRandomizeFlipX = m_bRandomizeFlipY = false;
            m_fRotation = m_fRandomizeScale = m_fRandomizeStrength = 0.0f;
            m_fRandomizeRotation = 0.35f;
            m_fRandomizePositionX = m_fRandomizePositionY = 0.4f;
        }

## Member Function Documentation

void Serialize | ( | Stream & | s | ) |

Search for all occurrences

bool operator== | ( | const StampConfiguration & |  | ) | const throw () `[inline]`

Definition at line 194 of file brush.h.

    { return false; };

bool operator!= | ( | const StampConfiguration & | v | ) | const throw () `[inline]`

Definition at line 195 of file brush.h.

    { return !operator ==( v ); };

## Member Data Documentation

QString m_sFileName

Search for all occurrences

Definition at line 195 of file brush.h.

bool m_bActive

Search for all occurrences

Definition at line 198 of file brush.h.

bool m_bOrientToStroke

Search for all occurrences

Definition at line 199 of file brush.h.

bool m_bStretch

Search for all occurrences

Definition at line 199 of file brush.h.

bool m_bFlipX

Search for all occurrences

Definition at line 200 of file brush.h.

bool m_bFlipY

Search for all occurrences

Definition at line 200 of file brush.h.

float m_fRotation

Search for all occurrences

Definition at line 201 of file brush.h.

bool m_bRandomize

Search for all occurrences

Definition at line 202 of file brush.h.

bool m_bRandomizeFlipX

Search for all occurrences

Definition at line 202 of file brush.h.

bool m_bRandomizeFlipY

Search for all occurrences

Definition at line 202 of file brush.h.

float m_fRandomizeScale

Search for all occurrences

Definition at line 203 of file brush.h.

float m_fRandomizeRotation

Search for all occurrences

Definition at line 203 of file brush.h.

float m_fRandomizePositionX

Search for all occurrences

Definition at line 203 of file brush.h.

float m_fRandomizePositionY

Search for all occurrences

Definition at line 203 of file brush.h.

float m_fRandomizeStrength

Search for all occurrences

Definition at line 203 of file brush.h.

The documentation for this struct was generated from the following file:

- Mudbox/brush.h